This document describes how to enable a disabled parameter template version.
You might want to enable a previously disabled parameter template version for the following reasons:
- To diagnose a problem with your current configuration, you might re-enable a disabled parameter template version that was known to work correctly.
- To reuse previous configurations as your requirements change.
- To restore a temporary configuration that you might have disabled after use.
Required roles
To get the permission that
you need to enable a disabled parameter template version,
ask your administrator to grant you the
Parameter Manager Parameter Version Manager (roles/parametermanager.parameterVersionManager) IAM role on the parameter, project, folder, or organization.
For more information about granting roles, see Manage access to projects, folders, and organizations.
This predefined role contains the
parametermanager.templateversions.update
permission,
which is required to
enable a disabled parameter template version.
You might also be able to get this permission with custom roles or other predefined roles.
Enable a disabled parameter template version
To enable a disabled parameter template version, use one of the following methods:
Global parameters
Console
-
In the Google Cloud console, go to the Parameter Manager page.
-
Navigate to the Templates tab. You'll see the list of templates for that project.
-
Click the template name. The template details page opens to the Versions tab, which lists all versions of the template.
-
Select the template version that you want to enable.
-
Click the Actions menu associated with that template version, and then click Enable.
-
In the confirmation dialog that appears, click Enable.
REST
Before using any of the request data, make the following replacements:
- PROJECT_ID: the Google Cloud project ID
- TEMPLATE_ID: the name of the template
- TEMPLATE_VERSION_ID: the ID of the template version
HTTP method and URL:
PATCH https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates/TEMPLATE_ID/versions/TEMPLATE_VERSION_ID
Request JSON body:
{
"disabled": false
}
To send your request, choose one of these options:
curl
Save the request body in a file named request.json,
and execute the following command:
curl -X PATCH \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json; charset=utf-8" \
-d @request.json \
"https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates/TEMPLATE_ID/versions/TEMPLATE_VERSION_ID"
PowerShell
Save the request body in a file named request.json,
and execute the following command:
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }
Invoke-WebRequest `
-Method PATCH `
-Headers $headers `
-ContentType: "application/json; charset=utf-8" `
-InFile request.json `
-Uri "https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/global/templates/TEMPLATE_ID/versions/TEMPLATE_VERSION_ID" | Select-Object -Expand Content
You should receive a JSON response similar to the following:
{
"name": "projects/123456789012/locations/global/templates/payment_service_blueprint/versions/tv1",
"createTime": "2026-04-10T15:01:23.045123Z",
"updateTime": "2026-04-14T20:42:33.992450Z",
"disabled": false,
"payload": {
"data": "YXBwTmFtZTogZm9yZXgtdHJhZGluZy1lbmdpbmUKZW52aXJvbm1lbnQ6IHt7LmVudn19CmxvZ0xldmVsOiB7ey5sb2dfbGV2ZWx9fQ=="
}
}
Regional parameters
Console
-
In the Google Cloud console, go to the Parameter Manager page.
-
Navigate to the Templates tab. You'll see the list of templates for that project.
-
Click the template name. The template details page opens to the Versions tab, which lists all versions of the template.
-
Select the template version that you want to enable.
-
Click the Actions menu associated with that template version, and then click Enable.
-
In the confirmation dialog that appears, click Enable.
REST
Before using any of the request data, make the following replacements:
- LOCATION: the Google Cloud location of the parameter
- PROJECT_ID: the Google Cloud project ID
- TEMPLATE_ID: the name of the template
- TEMPLATE_VERSION_ID: the ID of the template version
HTTP method and URL:
PATCH https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates/TEMPLATE_ID/versions/TEMPLATE_VERSION_ID
Request JSON body:
{
"disabled": false
}
To send your request, choose one of these options:
curl
Save the request body in a file named request.json,
and execute the following command:
curl -X PATCH \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json; charset=utf-8" \
-d @request.json \
"https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates/TEMPLATE_ID/versions/TEMPLATE_VERSION_ID"
PowerShell
Save the request body in a file named request.json,
and execute the following command:
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }
Invoke-WebRequest `
-Method PATCH `
-Headers $headers `
-ContentType: "application/json; charset=utf-8" `
-InFile request.json `
-Uri "https://parametermanager.googleapis.com/v1/projects/PROJECT_ID/locations/LOCATION/templates/TEMPLATE_ID/versions/TEMPLATE_VERSION_ID" | Select-Object -Expand Content
You should receive a JSON response similar to the following:
{
"name": "projects/123456789012/locations/us-central1/templates/payment_service_blueprint/versions/tv1",
"createTime": "2026-04-10T15:01:23.045123Z",
"updateTime": "2026-04-14T20:42:33.992450Z",
"disabled": false,
"payload": {
"data": "YXBwTmFtZTogZm9yZXgtdHJhZGluZy1lbmdpbmUKZW52aXJvbm1lbnQ6IHt7LmVudn19CmxvZ0xldmVsOiB7ey5sb2dfbGV2ZWx9fQ=="
}
}